$(document).ready(function()
{
    if(v.dept) $('#category' + v.dept).parent('li').addClass('active');

    $(':radio').click(function()
    {
        if($(this).val() == 'multistep')
        {
            $('#stepRuleTR').show();
            $('#fixedMultistepRuleTR').hide();
        }
        else if($(this).val() == 'fixedMultistep')
        {
            $('#stepRuleTR').hide();
            $('#fixedMultistepRuleTR').show();
        }
        else
        {
            $('#stepRuleTR').hide();
            $('#fixedMultistepRuleTR').hide();
        }
    });

    $(':radio').each(function()
    {
        if($(this).val() == v.rule) $(this).click();
    });

    $(document).on('change', '.start', function()
    {
        $(this).parent().parent().prev().find('.end').val($(this).val());
    });

    $(document).on('change', '.end', function()
    {
        $(this).parent().parent().next().find('.start').val($(this).val());
    });

    /* Add an item. */
    $(document).on('click', '.add', function()
    {
        if($(this).parents('tr#stepRuleTR').length > 0) $(this).parent().parent().after(v.stepItemRow.replace(/key/g, v.key));
        if($(this).parents('tr#fixedMultistepRuleTR').length > 0) $(this).parent().parent().after(v.fixedMultistepItemRow.replace(/key/g, v.key));
        var chosenDefaultOptions = {no_results_text: v.noResultsMatch, disable_search_threshold: 1, search_contains: true, width: '100%', allow_single_deselect: true};
        $(".chosen").chosen(chosenDefaultOptions);
        v.key++;
    })

    /* Remove an item. */
    $(document).on('click', '.remove', function()
    {
        if(($(this).parents('tr#fixedMultistepRuleTR').length > 0 && $('tr#fixedMultistepRuleTR .remove').size() == 1)
        || ($(this).parents('tr#stepRuleTR').length > 0 && $('tr#stepRuleTR .remove').size() == 1))
        {
            $(this).parents('tr').find('input,select').val('');
            return;
        }
        $(this).parent().parent().remove();
    })
})
